## org.eclipse.emf.edit
Class EMFEditPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.emf.edit.EMFEditPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class EMFEditPlugin

extends EMFPlugin

The Plugin for the model EMF.Edit library. EMF must run within an Eclipse workbench, within a headless Eclipse workspace, or just stand-alone as part of some other application. To support this, all resource access should be directed to the resource locator, which can redirect the service as appropriate to the runtime. During stand-alone invocation no plugin initialization takes place. In this case, emf.edit.resources.jar must be on the CLASSPATH.

See Also:
  `INSTANCE`

Nested Class Summary
`static class` `EMFEditPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static EMFEditPlugin` `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Method Summary
`static IChildCreationExtender.Descriptor.Registry` `getChildCreationExtenderDescriptorRegistry()` Returns a populated instance of a `child creation extender registry`.
`static ComposedAdapterFactory.Descriptor.Registry` `getComposedAdapterFactoryDescriptorRegistry()` Returns a populated instance of an `item provider adapter factory registry`.
`static EMFEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()` Returns an Eclipse plugin implementation of a resource locator.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final EMFEditPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Description copied from class: `EMFPlugin`
  Returns an Eclipse plugin implementation of a resource locator.

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`
  Returns:
    an Eclipse plugin implementation of a resource locator.

### getComposedAdapterFactoryDescriptorRegistry

    public static ComposedAdapterFactory.Descriptor.Registry getComposedAdapterFactoryDescriptorRegistry()

  Returns a populated instance of an `item provider adapter factory registry`.

  Returns:
    a populated instance of an item provider adapter factory registry.

### getChildCreationExtenderDescriptorRegistry

    public static IChildCreationExtender.Descriptor.Registry getChildCreationExtenderDescriptorRegistry()

  Returns a populated instance of a `child creation extender registry`.

  Returns:
    a populated instance of child creation extender registry.

### getPlugin

    public static EMFEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.